## glusterfs 3.12.2

=== debian/changelog ===
glusterfs (3.12.2-2) unstable; urgency=high

  * Add patch 03-CVE-2017-15096 to realy fix CVE-2017-15096 now.
    Closes: #880017

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Nov 2017 09:27:58 +0100

glusterfs (3.12.2-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2017-15096:
      A flaw was found in GlusterFS in versions prior to 3.10. A null pointer
      dereference in send_brick_req function in glusterfsd/src/gf_attach.c may
      be used to cause denial of service.
      Closes: #880017
    - Remove merged patch 03-spelling-errors.
  * Remove init scripts from .install file to avoid a FTBFS on backporting.
  * Remove obsolete build dependency on dh-systemd.
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Use secure URI in debian/watch and for the homepage control field.
  * Add patch 01-spelling-error.
  * Do not set DEB_HOST_MULTIARCH.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 Nov 2017 14:42:55 +0100

glusterfs (3.12.1-1) unstable; urgency=medium

  * New upstream release.
    - Merged patch to fix bashishm in mount.glusterfs. Thanks to Michael
      Lundkvist for his report and patch.
      Closes: #873878

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 12 Sep 2017 14:53:05 +0200

glusterfs (3.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-errors.
    - Add new gluster-setgfid2path binary.
    - Add nl-cache directories.
    - Adjust lintian overrides.
    - Add patch 03-spelling-errors.
  * Use copytruncate for logrotation.
    Closes: #873709
  * Bump Standards-Version to 4.1.0 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 31 Aug 2017 11:24:41 +0200

=== debian/control ===
Source: glusterfs
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Louis Zuckerman <me@louiszuckerman.com>
Build-Depends: debhelper (>= 10.1),
 autotools-dev,
 libfuse-dev,
 libibverbs-dev,
 libdb-dev,
 librdmacm-dev,
 libaio-dev,
 libacl1-dev,
 libsqlite3-dev,
 liburcu-dev,
 uuid-dev,
 liblvm2-dev,
 attr,
 flex,
 bison,
 libreadline-dev,
 libncurses5-dev,
 libglib2.0-dev,
 libssl-dev,
 libxml2-dev,
 pkg-config,
 dh-python,
 python-all-dev (>= 2.6.6-3~)
Standards-Version: 4.1.1
Homepage: https://www.gluster.org/

Package: glusterfs-client
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 python,
 fuse,
 glusterfs-common (>= ${binary:Version})
Description: clustered file-system (client package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package provides the FUSE based GlusterFS tool.

Package: glusterfs-server
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
 python,
 lsb-base (>= 3.0-6),
 glusterfs-common (>= ${binary:Version}),
 glusterfs-client (>= ${binary:Version})
Recommends: nfs-common
Description: clustered file-system (server package)
 GlusterFS is a clustered file-system capable of scaling to several
 peta-bytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package installs init scripts and configuration files to turn
 GlusterFS into a fully fledged file server.

Package: glusterfs-common
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
 libacl1-dev,
 python-prettytable,
 python-requests,
 attr,
 psmisc
Conflicts: libglusterfs0,
 libglusterfs-dev
Breaks: glusterfs-server (<< 3.4.0~qa5)
Replaces: glusterfs-server (<< 3.4.0~qa5),
 libglusterfs0,
 libglusterfs-dev
Description: GlusterFS common libraries and translator modules
 GlusterFS is a clustered file-system capable of scaling to several
 petabytes. It aggregates various storage bricks over Infiniband RDMA
 or TCP/IP interconnect into one large parallel network file
 system. GlusterFS is one of the most sophisticated file system in
 terms of features and extensibility. It borrows a powerful concept
 called Translators from GNU Hurd kernel. Much of the code in GlusterFS
 is in userspace and easily manageable.
 .
 This package includes libglusterfs and glusterfs translator modules
 common to both GlusterFS server and client framework.

## glusterfs 3.12.3

=== contrib/umountd/Makefile ===
# Makefile.in generated by automake 1.13.4 from Makefile.am.
# contrib/umountd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/glusterfs
pkgincludedir = $(includedir)/glusterfs
pkglibdir = $(libdir)/glusterfs
pkglibexecdir = $(libexecdir)/glusterfs
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
sbin_PROGRAMS = umountd$(EXEEXT)
subdir = contrib/umountd
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/contrib/aclocal/mkdirp.m4 \
	$(top_srcdir)/contrib/aclocal/python.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/site.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(sbindir)"
PROGRAMS = $(sbin_PROGRAMS)
am_umountd_OBJECTS = umountd-umountd.$(OBJEXT)
umountd_OBJECTS = $(am_umountd_OBJECTS)
am__DEPENDENCIES_1 =
umountd_DEPENDENCIES =  \
	$(top_builddir)/libglusterfs/src/libglusterfs.la \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
umountd_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(umountd_CFLAGS) \
	$(CFLAGS) $(umountd_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(umountd_SOURCES)
DIST_SOURCES = $(umountd_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/root/workspace/release-new/missing aclocal-1.13
ACL_LIBS = -lacl
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AM_LIBTOOLFLAGS = --quiet
AM_MAKEFLAGS =  --no-print-directory --quiet
AR = ar
ARGP_STANDALONE_CPPFLAGS = 
ARGP_STANDALONE_DIR = 
ARGP_STANDALONE_LDADD = 
AUTOCONF = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/root/workspace/release-new/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/root/workspace/release-new/missing automake-1.13
AWK = gawk
BUILD_PYTHON_INC = /usr/include/python2.7
BUILD_PYTHON_LIB = python2.7
BUILD_PYTHON_SITE_PACKAGES = ${prefix}/lib/python2.7/site-packages
BUILD_PYTHON_SITE_PACKAGES_EXPANDED = /usr/local/lib/python2.7/site-packages
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
CONTRIBDIR = $(top_srcdir)/contrib
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EVENTS_ENABLED = 1
EVENTS_SUBDIR = events
EXEEXT = 
FGREP = /usr/bin/grep -F
FUSERMOUNT_SUBDIR = contrib/fuse-util
FUSE_CLIENT_SUBDIR = fuse
GEOREP_EXTRAS_SUBDIR = geo-rep
GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
GFAPI_LIBS = -lacl
GFAPI_LT_VERSION = 0:0:0
GFAPI_VERSION = 7.3.12.3
GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
GF_CPPFLAGS =  -I/usr/include/uuid    -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
GF_DISTRIBUTION = Redhat
GF_FUSE_CFLAGS = -DFUSERMOUNT_DIR=\"$(bindir)\"
GF_FUSE_LDADD = 
GF_HOST_OS = GF_LINUX_HOST_OS
GF_LDADD =  -lm
GF_LDFLAGS = -rdynamic
GF_XLATOR_DEFAULT_LDFLAGS = -avoid-version -export-symbols $(top_srcdir)/xlators/xlator.sym
GLUPY_SUBDIR = glupy
GLUPY_SUBDIR_MAKEFILE = xlators/features/glupy/Makefile
GLUPY_SUBDIR_SRC_MAKEFILE = xlators/features/glupy/src/Makefile
GLUSTERD_VOLFILE = /usr/local/etc/glusterfs/glusterd.vol
GLUSTERD_WORKDIR = /var/lib/glusterd
GLUSTERFSD_MISCDIR = /usr/local/var/lib/misc/glusterfsd
GLUSTERFS_LIBEXECDIR = /usr/local/libexec/glusterfs
GREP = /usr/bin/grep
HAVE_ATOMIC_BUILTINS = 
HAVE_BACKTRACE = 
HAVE_LINKAT = 
HAVE_MALLOC_STATS = 
HAVE_SPINLOCK = 
HAVE_STRNLEN = 
HAVE_SYNC_BUILTINS = 
IBVERBS_SUBDIR = ib-verbs
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LEX = flex
LEXLIB = 
LEX_OUTPUT_ROOT = lex.yy
LIBAIO = -laio
LIBGFCHANGELOG_LT_VERSION = 0:1:0
LIBGFCHANGELOG_VERSION = 0.0.1
LIBGFDB_VERSION = 0.0.1
LIBGFRPC_LT_VERSION = 0:1:0
LIBGFXDR_LT_VERSION = 0:1:0
LIBGLUSTERFS_LT_VERSION = 0:1:0
LIBOBJS = 
LIBS = -lrt -ldl -lpthread -lcrypto 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/jenkins/root/workspace/release-new/missing makeinfo
MANIFEST_TOOL = :
MATH_LIB = -lm
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCF_SUBDIR = ocf
OTOOL = 
OTOOL64 = 
PACKAGE = glusterfs
PACKAGE_BUGREPORT = gluster-users@gluster.org
PACKAGE_NAME = glusterfs
PACKAGE_RELEASE = 0
PACKAGE_STRING = glusterfs 3.12.3
PACKAGE_TARNAME = glusterfs
PACKAGE_URL = https://github.com/gluster/glusterfs.git
PACKAGE_VERSION = 3.12.3
PATH_SEPARATOR = :
PKGCONFIG_UUID = uuid
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PYTHON = /usr/bin/python
PYTHONDEV_CPPFLAGS = -I/usr/include/python2.7 -I/usr/include/python2.7 -fno-strict-aliasing -O2 -g -pipe -Wall  -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall  -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
PYTHONDEV_LDFLAGS = -lpython2.7   -L/usr/lib -L/usr/${exec_prefix}/lib -lpthread -ldl -lutil -lm -lpython2.7 -Xlinker -export-dynamic
PYTHON_CFLAGS = -I/usr/include/python2.7  
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LIBS = -lpython2.7  
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
RDMA_SUBDIR = rdma
RLLIBS = -lreadline -lncurses
RPCGEN = yes
SBIN_DIR = /usr/local/sbin
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SIZEOF_INT = 4
SIZEOF_LONG = 8
SIZEOF_LONG_LONG = 8
SIZEOF_SHORT = 2
SQLITE_CFLAGS =  
SQLITE_LIBS = -lsqlite3  
STRIP = strip
SYNCDAEMON_COMPILE = 1
SYNCDAEMON_SUBDIR = geo-replication
SYSCONF_DIR = /usr/local/etc
UMOUNTD_SUBDIR = 
UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
UNITTEST_LDFLAGS =  
UNITTEST_LIBS = 
URCU_CDS_CFLAGS =  
URCU_CDS_LIBS = -lurcu-cds  
URCU_CFLAGS =  
URCU_LIBS = -lurcu-bp  
USE_EC_DYNAMIC_AVX = 
USE_EC_DYNAMIC_NEON = 
USE_EC_DYNAMIC_SSE = 
USE_EC_DYNAMIC_X64 = 
USE_POSIX_ACLS = 1
UUID_CFLAGS = -I/usr/include/uuid  
UUID_LIBS = -luuid  
VERSION = 3.12.3
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2 -lz -lm -ldl
YACC = bison -y
YFLAGS = 
ZLIB_CFLAGS =  
ZLIB_LIBS = -lz
abs_builddir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_srcdir = /home/jenkins/root/workspace/release-new/contrib/umountd
abs_top_builddir = /home/jenkins/root/workspace/release-new
abs_top_srcdir = /home/jenkins/root/workspace/release-new
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}

=== debian/changelog ===
glusterfs (3.12.3-1) unstable; urgency=medium

  * New upstream release.
    - Add new dependency python-jwt.
    - Drop merged patch 03-CVE-2017-15096.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Nov 2017 14:21:53 +0100

=== debian/control ===
--- 
+++ 
@@ -78,6 +78,7 @@
  libacl1-dev,
  python-prettytable,
  python-requests,
+ python-jwt,
  attr,
  psmisc
 Conflicts: libglusterfs0,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with python2 --with autotools-dev --with systemd

override_dh_install:
	cp extras/run-gluster.tmpfiles.in $(CURDIR)/debian/glusterfs-server.tmpfile
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/trace.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/error-gen.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/sink.so
	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
	dh_install --list-missing
	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid

override_dh_link:
	dh_link
	dh_link -pglusterfs-common \
		"usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid" \
		"usr/share/glusterfs/scripts/gsync-sync-gfid"

override_dh_python2:
	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_VERSION_UPSTREAM)/xlator/features/glupy/
	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/
	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/glusterfind/
	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/events/
	dh_python2 usr/lib/python2.7/dist-packages/gluster/

override_dh_installinit:
	cp $(CURDIR)/debian/tmp/etc/init.d/glusterd $(CURDIR)/debian/glusterfs-server.glusterd.init
	cp $(CURDIR)/debian/tmp/etc/init.d/glustereventsd $(CURDIR)/debian/glusterfs-server.glustereventsd.init
	dh_installinit -p glusterfs-server --name=glusterd
	dh_installinit -p glusterfs-server --name=glustereventsd

override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

## glusterfs 3.13.0

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -212,7 +212,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.3.12.3
+GFAPI_VERSION = 7.3.13.0
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid    -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -276,10 +276,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 3.12.3
+PACKAGE_STRING = glusterfs 3.13.0
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 3.12.3
+PACKAGE_VERSION = 3.13.0
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -327,7 +327,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 3.12.3
+VERSION = 3.13.0
 XML2_CONFIG = /usr/bin/xml2-config
 XML_CPPFLAGS = -I/usr/include/libxml2
 XML_LIBS = -lxml2 -lz -lm -ldl

=== debian/changelog ===
glusterfs (3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove unused lintian override.
  * Bump Standards-Version to 4.1.2 (no changes required).
  * Strip new object delay-gen.so.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 20 Dec 2017 09:44:42 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  pkg-config,
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client

## glusterfs 3.13.2

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -212,7 +212,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.3.13.0
+GFAPI_VERSION = 7.3.13.2
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid    -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -276,10 +276,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 3.13.0
+PACKAGE_STRING = glusterfs 3.13.2
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 3.13.0
+PACKAGE_VERSION = 3.13.2
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -327,7 +327,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 3.13.0
+VERSION = 3.13.2
 XML2_CONFIG = /usr/bin/xml2-config
 XML_CPPFLAGS = -I/usr/include/libxml2
 XML_LIBS = -lxml2 -lz -lm -ldl

=== tests/basic/fuse/Makefile ===
CFLAGS   = -Wall -g
LDFLAGS  =

BINARIES = seek

%: %.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

all: $(BINARIES)

clean:
	-$(RM) $(BINARIES)

=== tests/basic/gfapi/Makefile ===
## compiles against the *system* version of libgfapi,
## but not the libgfapi for the testcases

CFLAGS   = -Wall -g $(shell pkg-config --cflags glusterfs-api)
LDFLAGS  = $(shell pkg-config --libs glusterfs-api)

BINARIES = upcall-cache-invalidate libgfapi-fini-hang anonymous_fd seek \
	bug1283983 bug1291259 gfapi-ssl-test gfapi-load-volfile

%: %.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^

all: check-pkgconfig $(BINARIES)

clean:
	-$(RM) $(BINARIES)

.phony: check-pkgconfig

check-pkgconfig:
	pkg-config --exists glusterfs-api

=== debian/changelog ===
glusterfs (3.13.2-1ubuntu1) bionic; urgency=medium

  * debian/rules: Drop init script in favor of systemd unit.
    This also prevent the package to break during the installation
    and end up in half-configured state. (LP: #1830615)

  * debian/glusterfs-server.maintscript:
    - Remove obsolete conffile

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 31 May 2019 16:14:29 -0400

glusterfs (3.13.2-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:27 +0000

glusterfs (3.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3 (no changes required).
  * Add xfsprogs and e2fsprogs dependency for glusterfs-common.
    Closes: #887237

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jan 2018 15:12:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glusterfs
 Section: admin
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Louis Zuckerman <me@louiszuckerman.com>
 Build-Depends: debhelper (>= 10.1),
  autotools-dev,
@@ -26,7 +27,7 @@
  pkg-config,
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client
@@ -80,6 +81,8 @@
  python-requests,
  python-jwt,
  attr,
+ xfsprogs,
+ e2fsprogs,
  psmisc
 Conflicts: libglusterfs0,
  libglusterfs-dev

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	dh $@ --parallel --with python2 --with autotools-dev --with systemd
 
 override_dh_install:
-	cp extras/run-gluster.tmpfiles.in $(CURDIR)/debian/glusterfs-server.tmpfile
+	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfile
+	cp extras/systemd/glusterd.service $(CURDIR)/debian/glusterfs-server.glusterd.service
+	cp extras/systemd/glustereventsd.service $(CURDIR)/debian/glusterfs-server.glustereventsd.service
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/trace.so
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
@@ -17,10 +19,16 @@
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/io-stats.so
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
 		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/sink.so
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded \
+		debian/tmp/usr/lib/*/glusterfs/*/xlator/debug/delay-gen.so
 	find debian/tmp/usr/lib -type f -name \*.la -exec sed 's/^dependency_libs/#dependency_libs/g' -i {} \;
 	dh_install --list-missing
 	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
 		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
+
+override_dh_systemd_enable:
+	dh_systemd_enable --no-enable --name=glusterd
+	dh_systemd_enable --no-enable --name=glustereventsd
 
 override_dh_link:
 	dh_link
@@ -35,11 +43,5 @@
 	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/events/
 	dh_python2 usr/lib/python2.7/dist-packages/gluster/
 
-override_dh_installinit:
-	cp $(CURDIR)/debian/tmp/etc/init.d/glusterd $(CURDIR)/debian/glusterfs-server.glusterd.init
-	cp $(CURDIR)/debian/tmp/etc/init.d/glustereventsd $(CURDIR)/debian/glusterfs-server.glustereventsd.init
-	dh_installinit -p glusterfs-server --name=glusterd
-	dh_installinit -p glusterfs-server --name=glustereventsd
-
 override_dh_makeshlibs:
 	dh_makeshlibs --no-scripts

## glusterfs 4.0.2

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -212,7 +212,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.3.13.2
+GFAPI_VERSION = 7.4.0.2
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid    -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -275,11 +275,11 @@
 PACKAGE = glusterfs
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
-PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 3.13.2
+PACKAGE_RELEASE = 1
+PACKAGE_STRING = glusterfs 4.0.2
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 3.13.2
+PACKAGE_VERSION = 4.0.2
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -312,6 +312,8 @@
 SYNCDAEMON_COMPILE = 1
 SYNCDAEMON_SUBDIR = geo-replication
 SYSCONF_DIR = /usr/local/etc
+TIRPC_CFLAGS = 
+TIRPC_LIBS = 
 UMOUNTD_SUBDIR = 
 UNITTEST_CFLAGS =   -DUNIT_TESTING=1 -g -DDEBUG -O0 --coverage
 UNITTEST_LDFLAGS =  
@@ -327,7 +329,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 3.13.2
+VERSION = 4.0.2
 XML2_CONFIG = /usr/bin/xml2-config
 XML_CPPFLAGS = -I/usr/include/libxml2
 XML_LIBS = -lxml2 -lz -lm -ldl
@@ -354,4 +356,3 @@
 build_os = linux-gnu
 build_vendor = unknown
 builddir = .
-datadir = ${datarootdir}

=== debian/changelog ===
glusterfs (4.0.2-1) unstable; urgency=high

  * New upstream release.
    - Fixes privilege escalation flaw in snapshot scheduler, described in
      CVE-2018-1088.
      Closes: #896128
  * Bump Standards-Version to 4.1.4.
  * Fix systemd unit file installation.
    Closes: #895666

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Apr 2018 15:27:23 +0200

glusterfs (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Move source.lintian-overrides file to source directory.
  * Fix renamed lintian tag.
  * Remove uploaders from this package.
  * Adjust lintian overrides.
  * Add patch 03-spelling-errors.
  * Use generated run-gluster.tmpfiles for install.
  * Purge init.d scripts and install all three systemd services.
  * Add 04-systemd-fixes patch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 26 Mar 2018 13:41:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: glusterfs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Louis Zuckerman <me@louiszuckerman.com>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 10.1),
  autotools-dev,
  libfuse-dev,
@@ -27,7 +25,7 @@
  pkg-config,
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client

## glusterfs 4.1.2

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -172,8 +172,8 @@
 ACL_LIBS = -lacl
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
-AM_LIBTOOLFLAGS = --quiet
-AM_MAKEFLAGS =  --no-print-directory --quiet
+AM_LIBTOOLFLAGS = 
+AM_MAKEFLAGS =  --no-print-directory
 AR = ar
 ARGP_STANDALONE_CPPFLAGS = 
 ARGP_STANDALONE_DIR = 
@@ -212,7 +212,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.4.0.2
+GFAPI_VERSION = 7.4.1.2
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid    -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -275,17 +275,17 @@
 PACKAGE = glusterfs
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
-PACKAGE_RELEASE = 1
-PACKAGE_STRING = glusterfs 4.0.2
+PACKAGE_RELEASE = 0
+PACKAGE_STRING = glusterfs 4.1.2
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 4.0.2
+PACKAGE_VERSION = 4.1.2
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
-PYTHON = /usr/bin/python
+PYTHON = /usr/bin/python2
 PYTHONDEV_CPPFLAGS = -I/usr/include/python2.7 -I/usr/include/python2.7 -fno-strict-aliasing -O2 -g -pipe -Wall  -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall  -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv
 PYTHONDEV_LDFLAGS = -lpython2.7   -L/usr/lib -L/usr/${exec_prefix}/lib -lpthread -ldl -lutil -lm -lpython2.7 -Xlinker -export-dynamic
 PYTHON_CFLAGS = -I/usr/include/python2.7  
@@ -329,7 +329,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 4.0.2
+VERSION = 4.1.2
 XML2_CONFIG = /usr/bin/xml2-config
 XML_CPPFLAGS = -I/usr/include/libxml2
 XML_LIBS = -lxml2 -lz -lm -ldl

=== debian/changelog ===
glusterfs (4.1.2-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2018-10841: Access trusted peer group via remote-host command.
      Closes: #901968
    - Drop patch 02-shell-syntax-error.
    - Install new gsyncd.conf file.
  * Merge 4.0.2-1~bpo9+1 changelog.
  * Remove trailing whitespace from debian/changelog.
  * Adjust lintian warnings.
  * Bump Standards-Version to 4.1.5.
  * Merge patch 03-spelling-errors into 01-spelling-error.
  * Adjust lintian overrides.
  * Correct patch 04-systemd-fixes. The documentation key is placed in the unit
    section now.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 26 Jul 2018 14:23:11 +0200

glusterfs (4.0.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Jun 2018 10:38:34 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  pkg-config,
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client

## glusterfs 4.1.5

=== contrib/umountd/Makefile ===
--- 
+++ 
@@ -212,7 +212,7 @@
 GFAPI_EXTRA_LDFLAGS = -Wl,--version-script=$(top_srcdir)/api/src/gfapi.map
 GFAPI_LIBS = -lacl
 GFAPI_LT_VERSION = 0:0:0
-GFAPI_VERSION = 7.4.1.2
+GFAPI_VERSION = 7.4.1.5
 GF_CFLAGS =  -g -O2 -g -rdynamic -Wformat -Werror=format-security -Werror=implicit-function-declaration
 GF_CPPFLAGS =  -I/usr/include/uuid    -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D$(GF_HOST_OS) -include $(top_builddir)/config.h -include $(top_builddir)/site.h -I$(top_srcdir)/libglusterfs/src -I$(top_builddir)/libglusterfs/src
 GF_DISTRIBUTION = Redhat
@@ -276,10 +276,10 @@
 PACKAGE_BUGREPORT = gluster-users@gluster.org
 PACKAGE_NAME = glusterfs
 PACKAGE_RELEASE = 0
-PACKAGE_STRING = glusterfs 4.1.2
+PACKAGE_STRING = glusterfs 4.1.5
 PACKAGE_TARNAME = glusterfs
 PACKAGE_URL = https://github.com/gluster/glusterfs.git
-PACKAGE_VERSION = 4.1.2
+PACKAGE_VERSION = 4.1.5
 PATH_SEPARATOR = :
 PKGCONFIG_UUID = uuid
 PKG_CONFIG = /usr/bin/pkg-config
@@ -329,7 +329,7 @@
 USE_POSIX_ACLS = 1
 UUID_CFLAGS = -I/usr/include/uuid  
 UUID_LIBS = -luuid  
-VERSION = 4.1.2
+VERSION = 4.1.5
 XML2_CONFIG = /usr/bin/xml2-config
 XML_CPPFLAGS = -I/usr/include/libxml2
 XML_LIBS = -lxml2 -lz -lm -ldl

=== debian/changelog ===
glusterfs (4.1.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 24 Sep 2018 10:55:43 +0200

glusterfs (4.1.5-1) unstable; urgency=high

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Sep 2018 16:18:30 +0200

glusterfs (4.1.4-1) unstable; urgency=high

  * New upstream release.
    - This release fixes multiple security issues:
      - CVE-2018-10904: Unsanitized file names in debug/io-stats translator can
        allow remote attackers to execute arbitrary code.
      - CVE-2018-10907: Stack-based buffer overflow in server-rpc-fops.c allows
        remote attackers to execute arbitrary code.
      - CVE-2018-10911: Improper deserialization in dict.c:dict_unserialize()
        can allow attackers to read arbitrary memory.
      - CVE-2018-10913: Information Exposure in posix_get_file_contents function
        in posix-helpers.c.
      - CVE-2018-10914: remote denial of service of gluster volumes via
        posix_get_file_contents function in posix-helpers.c.
      - CVE-2018-10923: I/O to arbitrary devices on storage server.
      - CVE-2018-10926: Device files can be created in arbitrary locations.
      - CVE-2018-10927: File status information leak and denial of service.
      - CVE-2018-10928: Improper resolution of symlinks allows for privilege
        escalation.
      - CVE-2018-10929: Arbitrary file creation on storage server allows for
        execution of arbitrary code.
      - CVE-2018-10930: Files can be renamed outside volume.
      Closes: #909215
  * Remove extra documentation file from libdir.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Sep 2018 11:29:33 +0200

glusterfs (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 28 Aug 2018 15:58:00 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  pkg-config,
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://www.gluster.org/
 
 Package: glusterfs-client

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	dh_install --list-missing
 	mv $(CURDIR)/debian/glusterfs-common/usr/share/glusterfs/scripts/gsync-sync-gfid \
 		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
+	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
 
 override_dh_systemd_enable:
 	dh_systemd_enable --no-enable --name=glusterd

## glusterfs 5.0

=== debian/changelog ===
glusterfs (5.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-error.
    - Add python3-dev dependency to build glupy.
    - Add new group-db-workload files.
  * Migrate package to Python 3.
  * Merge 4.1.5-1~bpo9+1 changelog.
  * Build with libtirpc (>= 1.1.4) support.
    Closes: #911097
  * Add firewalld build dependency and build package with firewalld support.
    Closes: #911096
  * Use IPv6 instead of IPv4 as default.
  * Adjust debian/copyright.
  * Adjust lintian overrides (spelling errors).
  * Add patch 01-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Oct 2018 10:34:55 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,14 @@
  libaio-dev,
  libacl1-dev,
  libsqlite3-dev,
+ libtirpc-dev (>= 1.1.4),
  liburcu-dev,
  uuid-dev,
  liblvm2-dev,
  attr,
  flex,
  bison,
+ firewalld,
  libreadline-dev,
  libncurses5-dev,
  libglib2.0-dev,
@@ -24,7 +26,7 @@
  libxml2-dev,
  pkg-config,
  dh-python,
- python-all-dev (>= 2.6.6-3~)
+ python3-dev
 Standards-Version: 4.2.1
 Homepage: https://www.gluster.org/
 
@@ -32,7 +34,7 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
- python,
+ ${python3:Depends},
  fuse,
  glusterfs-common (>= ${binary:Version})
 Description: clustered file-system (client package)
@@ -50,8 +52,7 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
- ${python:Depends},
- python,
+ ${python3:Depends},
  lsb-base (>= 3.0-6),
  glusterfs-common (>= ${binary:Version}),
  glusterfs-client (>= ${binary:Version})
@@ -73,11 +74,11 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  ${shlibs:Depends},
- ${python:Depends},
+ ${python3:Depends},
+ python3-prettytable,
+ python3-requests,
+ python3-jwt,
  libacl1-dev,
- python-prettytable,
- python-requests,
- python-jwt,
  attr,
  xfsprogs,
  e2fsprogs,

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+DEB_CONFIGURE_EXTRA_FLAGS := \
+	--enable-firewalld \
+	--with-ipv6-default
+
 %:
-	dh $@ --parallel --with python2 --with autotools-dev --with systemd
+	dh $@ --parallel --with python3 --with systemd --with autotools-dev
 
 override_dh_install:
 	cp extras/run-gluster.tmpfiles $(CURDIR)/debian/glusterfs-server.tmpfile
@@ -27,6 +31,9 @@
 		$(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid
 	rm -f $(CURDIR)/debian/glusterfs-common/usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/README.md
 
+override_dh_auto_configure:
+	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
+
 override_dh_systemd_enable:
 	dh_systemd_enable --no-enable --name=glusterd
 	dh_systemd_enable --no-enable --name=glustereventsd
@@ -37,12 +44,12 @@
 		"usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/gsync-sync-gfid" \
 		"usr/share/glusterfs/scripts/gsync-sync-gfid"
 
-override_dh_python2:
-	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_VERSION_UPSTREAM)/xlator/features/glupy/
-	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/
-	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/glusterfind/
-	dh_python2 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/events/
-	dh_python2 usr/lib/python2.7/dist-packages/gluster/
+override_dh_python3:
+	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/$(DEB_VERSION_UPSTREAM)/xlator/features/glupy/
+	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/python/syncdaemon/
+	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/glusterfind/
+	dh_python3 usr/lib/$(DEB_HOST_MULTIARCH)/glusterfs/events/
+	dh_python3
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-scripts
